Package Details: emulationstation-git 1:2.4.1.r392.gb7bec0eb-1

Git Clone URL: https://aur.archlinux.org/emulationstation-git.git (read-only)
Package Base: emulationstation-git
Description: A graphical front-end for emulators with controller navigation. Developed for the Raspbery Pi, but runs on most Linux systems.
Upstream URL: https://github.com/RetroPie/EmulationStation
Licenses: MIT
Provides: emulationstation
Submitter: drewbs
Maintainer: None
Last Packager: darkshines
Votes: 33
Popularity: 0.000033
First Submitted: 2013-06-03 15:54
Last Updated: 2019-02-19 08:43

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Tromzy commented on 2019-07-22 13:23

Nevermind, I managed to compile it from git directly and it works.

darkshines commented on 2019-07-22 13:09

I switched to Raspbian for my RPi, so I have no motivation in further maintaining the package. Sorry about that.

Tromzy commented on 2019-07-22 12:59

I still cannot get the git version to work, I get this error :

lvl0: Error - File type unknown! lvl0: CECInput::mAdapter->DetectAdapters failed emulationstation: /home/archlinux/.cache/yay/emulationstation-git/src/EmulationStation/es-core/src/resources/Font.cpp:17: Font::FontFace::FontFace(ResourceData&&, int): Assertion `!err' failed. zsh: abort (core dumped) emulationstation

The non-git version works fine, but the scraper does not work.

Menelkir commented on 2019-05-03 03:48

Can you add the desktop entry like the non-git one?

darkshines commented on 2019-02-19 08:44

I added libcec and rapidjson as dependencies.

Additionally, I updated the versioning scheme to current standards.

btd1337 commented on 2019-02-19 02:35

You need to add as dependency the following libraries for the project to be compiled:

  • libcec
  • rapidjson

and to add the command in 'buid()':

$ sudo make install

oi_wtf commented on 2019-02-11 00:37

<s> It seems this needs some libcec since a few commits back. Could you add that to (make)depends? </s>

Edit: I misread the error messages, the real issue seems to be this one:

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
RAPIDJSON_INCLUDE_DIRS (ADVANCED)

chowbok commented on 2018-10-05 22:11

Can the resources directory at least be copied to somewhere in /usr/share so that those of us with automated AUR apps don't have to re-download the source after installation? Maybe with a note saying to copy it over so that people who haven't read this page still know what's going on.

Enverex commented on 2018-09-21 15:34

Can you update the source for "git://github.com/zeux/pugixml.git" to "https+git://github.com/zeux/pugixml.git" please? (to avoid clashing with RPCS3 and AFAIK "https+git" is the typically used proto anyway).

Marach commented on 2018-08-25 15:52

Temporary fix: Copy [tarball directory]/src/EmulationStation/resources to ~/.emulationstation/

Unfortunately, this cannot be fixed by the pkgbuild itself right now, as per the issue linked below. An upstream change is needed to look for the resources folder in /usr/share or any other global location.